## org.apache.fop.viewer
Interface Translator

All Known Implementing Classes:
  SecureResourceBundle

public interface Translator

Definition für die Übersetzer-Klassen.

Version:
  03.12.99
Author:
  Stanislav.Gorkhover@jCatalog.com

Method Summary
`boolean` `contains(java.lang.String key)` Gibt an ob ein Key in der Übersetzungsquelle vorhanden ist.
`java.lang.String` `getString(java.lang.String key)` Übersetzt ein Wort.
`boolean` `isSourceFound()` Gibt an ob die Übersetzungsquelle gefunden ist.
`void` `setMissingEmphasized(boolean b)` Ein Translator soll die fehlenden keys hervorheben können.

Method Detail

### getString

    public java.lang.String getString(java.lang.String key)

  Übersetzt ein Wort.

### setMissingEmphasized

    public void setMissingEmphasized(boolean b)

  Ein Translator soll die fehlenden keys hervorheben können.

### isSourceFound

    public boolean isSourceFound()

  Gibt an ob die Übersetzungsquelle gefunden ist.

### contains

    public boolean contains(java.lang.String key)

  Gibt an ob ein Key in der Übersetzungsquelle vorhanden ist.

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.